#!/bin/bash
# /opt/local/bin/DV-zram.sh
# Créer un disque virtuel de type zram, par "Mute Ant".
# Source : https://forums.linuxmint.com/viewtopic.php?t=203420
# Relevé le 2017/10/24 à 04:30 par musher0
####
ChecK="`df | awk '$NF ~ /ram1/'`" # musher0, 17-10-14
if [ "$ChecK" = "" ];then # musher0, 17-10-14
	MOUNTPOINT="/mnt/ram1"
	LC_ALL=C
	SIZE="`free -m | awk '/Mem/ {print $4/3*2}'`";LC_ALL=""
	SIZE="${SIZE%.*}" # Laisser tomber les décimales possibles.

	mkdir -p "$MOUNTPOINT" # s'assurer que le point de montage existe

	modprobe zram  # Tell the kernel to create device zram0
	echo "${SIZE}"m > /sys/block/zram0/disksize  # Set the size of zram0 to 1G
	mkfs.ext2 /dev/zram0  # Format the new device as ext2
	mount /dev/zram0 /mnt/ram1 # Ramdisk  # Mount the new device on Ramdisk
	chmod 1777 /mnt/ram1 # Ramdisk  # Change Ramdisk flags to be like a /tmp/ folder
	mkdir -p /mnt/ram1/Downloads # Make a Downloads folder in Ramdisk

	cd /mnt/home/ramdisk
	rsync -avz . "/mnt/ram1" # --delete # optionnel
# Source : https://unix.stackexchange.com/questions/203846/how-to-sync-two-folders-with-command-line-tools
#
# Meilleur que :
# exec /opt/local/bin/ramdisk_cp.sh & # Copier le contenu de /mnt/home/ramdisk.
#
# Inversement :
# cd /mnt/ram1
# rsync -avz . "/mnt/home/ramdisk"
#
######################
# Suite de l'explication de "Mute Ant" :
#
# The amount of memory used will fluctuate according to
# what you store in the Ramdisk folder. The disk will persist
# if you log out, but not if you reboot. 1G, 2G, 500M,
# whatever you can afford, sets the maximum data size,
# RAM use will often be less; if the data can be compressed,
# it will be.
#
# Should you ever need to switch it off without rebooting...
# sudo su -c "
# umount /dev/zram0 # &&
# echo 1 > /sys/block/zram0/reset
#
# ...will do that.
######################
	sleep 0.5s
	MsG="Un disque virtuel de $SIZE Mb a été créé."
	Xdialog --title "Créé" --ok-label "OK" --timeout 5 --msgbox "$MsG" 0 0
	rox /mnt/ram1 &

else # Cette section par musher0, 17-10-14
	Xdialog --title "Existe" --ok-label "OK" --timeout 5 --msgbox "Un DV existe déja." 0 0
fi # Fin de la section par musher0, 17-10-14

########## Référence ####
# Ajouts par musher0
#
# Divers scripts d'une ligne pour faire des vérifications sur ce DV.
#
# 1) # echo -e "Location\tUsed\tAvail.\t%\tName";df -h | awk '$NF ~ /ramdisk/ { print $1"\t\t"$3"\t"$4"\t"$5"\t"$6}'
# OU
# 2a) df | head -1;df | grep ram;echo
# 2b) df -h | head -1;df -h | grep ram;echo
#
###
# 3) df | awk '$2=="1024000" && $NF ~ /ramdisk/'
# Celle-ci vous dit seulement s'il existe un DV.
####
